<?

include_once "SYSTEM/include/functions.php";

include_once "SYSTEM/include/mysql.php";

include_once "SYSTEM/include/param.php";

include_once "SYSTEM/include/ban.php";

include_once "SYSTEM/include/sess.php";

include_once "SYSTEM/include/ban_2.php";

include_once "SYSTEM/include/theme.php";

$title='Инфо о юзере';

$mesto='Анкета';

head();


$id_ank=intval($_GET['id']);

$q = mysql_query("SELECT * FROM `$mysql[pref]users` WHERE `id` = '$id_ank' LIMIT 1;");


if(mysql_num_rows($q)!= 0)$ank = mysql_fetch_array($q);

else

{

header ("Location: index.php?".SID."");

exit;

}


if(isset($_GET['site_stat']) && isset($id_ank))

{

echo "<div class=\"h\">Статусы на сайте</div>\n";


echo "<div class=\"mess\">\n";

echo "В зависимости от вашей активности на сайте вы получаете определенный статус<br/>\n

При достижении определенного количества баллов ваш статус меняется на вышестоящий<br/>\n

Баллы-это сумма ваших постов на форуме, чате, гостевой и пр.</div>\n<br/>\n


Самым активным юзерам администрация сайта может назначать особые статусы. При этом обычный статус виден небудет.<br/>\n<br/>\n";

echo "<div class=\"mess\">\n";

echo "0-4 баллов - Чайник<br/>\n

5-9 баллов - Кипятильник<br/>\n

10-19 баллов - Котелок<br/>\n

20-49 баллов - Чугунок<br/>\n

50-99 баллов - Самовар<br/>\n

100-249 баллов - Пароварка<br/>\n

250-499 баллов - Миксер<br/>\n

500-749 баллов - Турбовеник<br/>\n

750-999 баллов - Пылесос<br/>\n

1000-1249 баллов - Соковыжималка<br/>\n

1250-1499 баллов - Рекрут<br/>\n

1500-1749 баллов - Домосед<br/>\n

1750-1999 баллов - Местный<br/>\n

2000-2249 баллов - Бывалый<br/>\n

2250-2499 баллов - Матерый юзер<br/>\n

2500-2749 баллов - Крутой<br/>\n

2750-2999 баллов - Продвинутый<br/>\n

3000-3249 баллов - Знающий<br/>\n

3250-3499 баллов - Мастак<br/>\n

3500-4999 баллов - Юзверяга<br/>\n

5000-7499 баллов - Наш чел<br/>\n

7500-9999 баллов - Гуру<br/>\n

10000 баллов и выше - СуперЮзверь</div>\n";


echo "<a href=\"info.php?id=$id_ank\">&lt; В анкету $ank[nickname]</a><br/>\n";

echo "<a href=\"../index.php\">&lt; На главную</a>\n";

foot();

}



if (!isset($_GET['id']) || $_GET['id']=='')

{

header ("Location: index.php?".SID."");

exit;

}



echo "<div class=\"h\">Анкета $ank[nickname]</div><hr />\n";

if ($mail_in_new>0)echo "<div class=\"privat\"><img src=\"SYSTEM/themes/$them/img/mail0.gif\" alt=\"\" /> <a href=\"mail.php?act=in\">Приват</a> [$mail_in_new]</div><hr />\n";


if (isset($user) && $user['balls']>=$set['balls'] && $ank['balls']>=$set['balls'] && $user['rating_t']<$time-10800 && isset($_GET['rating']) && $ank['id']!=$user['id'] && ($_GET['rating']=='plus' && $ank['rating']<42 || $_GET['rating']=='minus' && $ank['rating']>-42) )

{

if(mysql_result($q, 0)==0)

{

if ($_GET['rating']=='plus'){$add_r=1;}else{$add_r=-1;}

$rating_add=$ank['rating']+$add_r;

mysql_query("UPDATE `$mysql[pref]users` SET `rating` = '$rating_add' WHERE `id` = '$ank[id]';");

mysql_query("UPDATE `$mysql[pref]users` SET `rating_t` = '$time' WHERE `id` = '$user[id]';");

echo "<span style=\"color:$color[msg]\"><b>Рейтинг юзера успешно изменен</b></span><br />\n";

echo "<span style=\"color:$color[msg]\"><b>Следующий голос вы можете оставить не ранее чем через 3 часа</b></span><br />\n";

echo "<a href=\"info.php?id=$ank[id]\">Вернуться в анкету</a><br />\n";

echo "<a href=\"../index.php\">&lt;&lt; На главную</a>\n";

foot();

}

}




echo "<div class=\"opis\">\n";

if ($ank['ban_st']==1 && $ank['ban_t']>$time)

{

echo "<span style=\"color:$color[msg]\"><b>Юзер находится в бане<br />\n";

if ($ank['ban_pr']!=''){echo "Причина: $ank[ban_pr]<br />\n";}


echo "</b></span>\n";

}

/*if ($ank['avatar']!='' && is_file("SYSTEM/images/avat/$ank[avatar]"))

echo "<div class=\"avatar\"><img src=\"SYSTEM/images/avat/$ank[avatar]\" height=\"32\" width=\"32\" alt=\"Аватар\" /></div>\n";

else

echo "<div class=\"avatar\"><img src=\"SYSTEM/images/avat/no.gif\" height=\"32\" width=\"32\" alt=\"Аватар\" /></div>\n";

*/

if ($ank['level']>2)

{

if ($ank['avatar']!='')

{

if (is_file("SYSTEM/images/avat/$ank[avatar]"))

echo "<div class=\"avatar\"><img src=\"SYSTEM/images/avat/$ank[avatar]\" height=\"32\" width=\"32\" alt=\"Аватар\" /></div>\n";

else

echo "$ank[avatar]<br />\n";

}

else

echo "<div class=\"avatar\"><img src=\"SYSTEM/images/avat/no.gif\" height=\"32\" width=\"32\" alt=\"Аватар\" /></div>\n";

}

else


{

if ($ank['avatar']!='' && is_file("SYSTEM/images/avat/$ank[avatar]"))

echo "<div class=\"avatar\"><img src=\"SYSTEM/images/avat/$ank[avatar]\" alt=\"Аватар\" /></div>\n";

else

echo "<div class=\"avatar\"><img src=\"SYSTEM/images/avat/no.gif\" alt=\"Аватар\" /></div>\n";

}


if ($ank['level']==1){echo "<b>Модератор</b><br />\n";}

if ($ank['level']==2){echo "<b>Супермодератор</b><br />\n";}

if ($ank['level']==3){echo "<b>Админ сайта</b><br />\n";}

if ($ank['level']>=4){echo "<b>Создатель</b><br />\n";}


if($ank['balls']>=0 && $ank['balls']<=4) $site_stat = "Чайник";

if($ank['balls']>=5 && $ank['balls']<=9) $site_stat = "Кипятильник";

if($ank['balls']>=10 && $ank['balls']<=19) $site_stat = "Котелок";

if($ank['balls']>=20 && $ank['balls']<=49) $site_stat = "Чугунок";

if($ank['balls']>=50 && $ank['balls']<=99) $site_stat = "Самовар";

if($ank['balls']>=100 && $ank['balls']<=249) $site_stat = "Пароварка";

if($ank['balls']>=250 && $ank['balls']<=499) $site_stat = "Миксер";

if($ank['balls']>=500 && $ank['balls']<=749) $site_stat = "Турбовеник";

if($ank['balls']>=750 && $ank['balls']<=999) $site_stat = "Пылесос";

if($ank['balls']>=1000 && $ank['balls']<=1249) $site_stat = "Соковыжималка";

if($ank['balls']>=1250 && $ank['balls']<=1499) $site_stat = "Рекрут";

if($ank['balls']>=1500 && $ank['balls']<=1749) $site_stat = "Домосед";

if($ank['balls']>=1750 && $ank['balls']<=1999) $site_stat = "Местный";

if($ank['balls']>=2000 && $ank['balls']<=2249) $site_stat = "Бывалый";

if($ank['balls']>=2250 && $ank['balls']<=2499) $site_stat = "Матерый юзер";

if($ank['balls']>=2500 && $ank['balls']<=2749) $site_stat = "Крутой";

if($ank['balls']>=2750 && $ank['balls']<=2999) $site_stat = "Продвинутый";

if($ank['balls']>=3000 && $ank['balls']<=3249) $site_stat = "Знающий";

if($ank['balls']>=3250 && $ank['balls']<=3499) $site_stat = "Мастак";

if($ank['balls']>=3500 && $ank['balls']<=4999) $site_stat = "Юзверяга";

if($ank['balls']>=5000 && $ank['balls']<=7499) $site_stat = "Наш чел";

if($ank['balls']>=7500 && $ank['balls']<=9999) $site_stat = "Гуру";

if($ank['balls']>=10000) $site_stat = "СуперЮзверь";


if ($ank['status']!=''){echo "Особый статус: <span style=\"color:$color[msg]\"><b>$ank[status]</b></span><br />\n";}

else {echo "Статус: $site_stat <a href=\"info.php?site_stat&amp;id=$id_ank\">[?]</a><br/>\n";}


if ($ank['pol']==0){echo "Пол: <b>Девушка</b><br />\n";}

else if ($ank['pol']>=1){echo "Пол: <b>Парень</b><br />\n";}


if ($ank['name']!=''){echo "Имя: <b>$ank[name]</b><br />\n";}

if ($ank['city']!=''){echo "Мой город: <b>$ank[city]</b><br />\n";}

if ($ank['d_r']!=0 && $ank['m_r']!=0 && $ank['g_r']!=0){echo "Дата рождения: <b>$ank[d_r].$ank[m_r].$ank[g_r]</b><br />\n";}



if ($ank['icq']!=''){echo "<img src=\"http://web.icq.com/whitepages/online?icq=$ank[icq]&amp;img=27\" alt=\"\" height=\"16\" width=\"16\" /> <b>$ank[icq]</b><br />\n";}






if ($ank['mail_ank']!='')

{

$to=$ank['mail_ank'];

if ($user['mail_ank']!='') $from=$user['mail_ank']; else $from='@';

if (ereg("(@mail\.ru$)|(@bk\.ru$)|(@inbox\.ru$)|(@list\.ru$)", $ank['mail_ank']))

{

echo "<img src=\"http://status.mail.ru/?$ank[mail_ank]\" width=\"13\" height=\"13\" alt=\"\" /> <b><a href=\"amail/index.php?to=$to&amp;from=$from\">$ank[mail_ank]</a></b><br />\n";

}

else

echo "Мыло @: <b><a href=\"amail/index.php?to=$to&amp;from=$from\">$ank[mail_ank]</a></b><br />\n";

}








if ($ank['http']!=''){echo "Сайт: <b><a href=\"http://$ank[http]\">$ank[http]</a></b><br />\n";}


if ($ank['opsos']!=''){echo "ОпСоС: <b>$ank[opsos]</b><br />\n";}

if ($ank['mtel']!=''){echo "Модель телефона: <b>$ank[mtel]</b><br />\n";}


if ($ank['ntel']!=''){echo "Номер сотового: <b>$ank[ntel]</b><br />\n";}

if ($ank['them']!=''){echo "Тема (WAP): <b>$ank[them]</b><br />\n";}

if ($ank['them2']!=''){echo "Тема (WEB): <b>$ank[them2]</b><br />\n";}


if ($ank['osebe']!=''){echo "Про меня: <b>$ank[osebe]</b><br />\n";}


echo "<div class=\"title\">\n";

echo "Статистика юзера:<br />";


echo "</div>\n";

echo "Баллы: <b>$ank[balls]</b><br />\n";

echo "Баллы в викторине: <b>$ank[v_balls]</b><br />\n";


echo "Постов в форуме: <b>$ank[forum_post_k]</b><br />\n";

echo "Постов в чате: <b>$ank[chat_post_k]</b><br />\n";

echo "<a href='foto/index.php?id=$ank[id]'>Фоток: </a>".mysql_result(mysql_query("SELECT COUNT(*) FROM`$mysql[pref]foto_gallery`WHERE `id_user`='$ank[id]'"), 0)."шт.<br />\n"; 

/*

if (isset($user) && $ank['balls']>=$set['balls'] && $user['balls']>=$set['balls'] && $user['rating_t']<$time-10800 && $ank['id']!=$user['id']  && $ank['rating']>-42)

{

if (is_file("SYSTEM/themes/$them/rating/minus.gif"))

echo "<a href=\"info.php?id=$ank[id]&amp;rating=minus\"><img src=\"SYSTEM/themes/$them/rating/minus.gif\" alt=\"-\" /></a>";

else

echo "<a href=\"info.php?id=$ank[id]&amp;rating=minus\"><img src=\"SYSTEM/images/rating/minus.gif\" alt=\"+\" /></a>";

}


if (is_file("SYSTEM/themes/$them/rating/rating.php"))

echo "<img src=\"SYSTEM/themes/$them/rating/rating.php?r=$ank[rating]\" alt=\"Рейтинг\" />";

else

echo "<img src=\"PAGES/rating.php?r=$ank[rating]\" alt=\"Рейтинг\" />";




if (isset($user) && $ank['balls']>=$set['balls'] && $user['balls']>=$set['balls'] && $user['rating_t']<$time-10800 && $ank['id']!=$user['id']  && $ank['rating']<42)

{

if (is_file("SYSTEM/themes/$them/rating/plus.gif"))

echo "<a href=\"info.php?id=$ank[id]&amp;rating=plus\"><img src=\"SYSTEM/themes/$them/rating/plus.gif\" alt=\"+\" /></a>";

else

echo "<a href=\"info.php?id=$ank[id]&amp;rating=plus\"><img src=\"SYSTEM/images/rating/plus.gif\" alt=\"+\" /></a>";

}

*/

echo "<br />\n";

//if (mysql_result(mysql_que ry("SELECT COUNT(*) FROM `$mysql[pref]foto` WHERE `id_user` = '$ank [id]'"), 0 )!=0 ) echo "<a href=\"foto/index.php?i d=$ank[id]\"><span class=\"ank_n\">Фотографии:</span></a> <span class=\"ank_d\">".mysql_ result(mysql_query("SEL ECT COUNT(*) FROM `$mysql[pref]foto` WHERE `id_user` = '$ank[id]'"), 0)." шт.</span><br />\n";

echo "Рег. дата: <b>".vremja($ank['regtime']+$timesdvig)."</b><br />\n";


if ($ank['time']>$time-$set['time_sess'])

{

echo "<b>Сейчас на сайте</b><br />\n";

}

else

{

echo "Посл. посещ.: <b>".vremja($ank['time']+$timesdvig)."</b><br />\n";

}

$ank_time = $ank['time_all'];

$ank_time_h  =  floor ( $ank_time / 3600 ); 

$ank_time  =  $ank_time % 3600 ; 

$ank_time_m  =  floor ( $ank_time / 60 ); 

$ank_time  =  $ank_time % 60 ; 


if ($ank['pol']==0){echo  "<br />\nПровёла на сайте:<b> {$ank_time_h}ч. {$ank_time_m}мин. {$ank_time}сек.</b><br />" ;}

else if ($ank['pol']>=1){echo  "<br />\nПровёл на сайте:<b> {$ank_time_h}ч. {$ank_time_m}мин. {$ank_time}сек.</b><br />" ;}

if($ank['level']<3)

{

echo "Где: <b><a href=\"$ank[url]\">$ank[mesto]</a></b><br />\n";

}


if (isset($user) && $user['id']!=$ank['id'])

{

echo "<b><a href=\"mail.php?act=crt&amp;id=$ank[id]\">Написать приват</a></b><br />\n";



$q = mysql_query("SELECT COUNT(*) FROM `$mysql[pref]kont` WHERE `id_user` = '$user[id]' AND `id_kont` = '$ank[id]';");

if (mysql_result($q, 0)==0)

{

echo "<b><a href=\"mail.php?act=kont&amp;id=$ank[id]\">В контакты</a></b><br />\n";

}

}




echo "</div>\n";



if (isset($user) && $user['level']>0 && $ank['id']!=$user['id'] && $ank['level']<$user['level'])

{

echo "<hr />\n";

echo "<div class=\"opis\">\n";

echo "Браузер: <b>$ank[ua]</b><br />\n";


echo "IP: <b>$ank[ip]</b> ";

if ($user['level']>1)

{

echo "<a href=\"admin_dfbdaba8c8508412d239e603506162f8/ban.php?id=$id_ank&amp;act=ban\">[BAN]</a>";

}

echo "<br />\n";

echo "<a href=\"admin_dfbdaba8c8508412d239e603506162f8/user.php?id=$id_ank&amp;act=ban\">Забанить юзера</a><br />\n";


if ($ank['level']<$user['level'] || $user['id']==$ank['id'] && $user['level']>2)

{

echo "<a href=\"admin_dfbdaba8c8508412d239e603506162f8/user.php?id=$id_ank&amp;act=data\">Изменить данные</a><br />\n";

}

echo "</div>\n";

}

echo "<hr />\n";

echo "<a href=\"../index.php\">&lt;&lt; На главную</a>\n";

foot();

?>

